Package jnr.constants.platform.freebsd

# Enum IPv6

java.lang.Object
java.lang.Enum<IPv6>
jnr.constants.platform.freebsd.IPv6

All Implemented Interfaces:
  `Serializable`, `Comparable<IPv6>`, `java.lang.constant.Constable`, `Constant`

public enum IPv6 extends Enum<IPv6> implements Constant

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`IPV6_CHECKSUM`
`IPV6_DONTFRAG`
`IPV6_DSTOPTS`
`IPV6_HOPLIMIT`
`IPV6_HOPOPTS`
`IPV6_JOIN_GROUP`
`IPV6_LEAVE_GROUP`
`IPV6_MULTICAST_HOPS`
`IPV6_MULTICAST_IF`
`IPV6_MULTICAST_LOOP`
`IPV6_NEXTHOP`
`IPV6_PATHMTU`
`IPV6_PKTINFO`
`IPV6_RECVDSTOPTS`
`IPV6_RECVHOPLIMIT`
`IPV6_RECVHOPOPTS`
`IPV6_RECVPATHMTU`
`IPV6_RECVPKTINFO`
`IPV6_RECVRTHDR`
`IPV6_RECVTCLASS`
`IPV6_RTHDR`
`IPV6_RTHDR_TYPE_0`
`IPV6_RTHDRDSTOPTS`
`IPV6_TCLASS`
`IPV6_UNICAST_HOPS`
`IPV6_USE_MIN_MTU`
`IPV6_V6ONLY`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final long`
`MAX_VALUE`
`static final long`
`MIN_VALUE`

## Method Summary

Modifier and Type
Method
Description
`final boolean`
`defined()`
`final int`
`intValue()`
`final long`
`longValue()`
`final String`
`toString()`
`final int`
`value()`
`static IPv6`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static IPv6[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface jnr.constants.Constant

`name`

## Enum Constant Details

### IPV6_JOIN_GROUP

public static final IPv6 IPV6_JOIN_GROUP

### IPV6_LEAVE_GROUP

public static final IPv6 IPV6_LEAVE_GROUP

### IPV6_MULTICAST_HOPS

public static final IPv6 IPV6_MULTICAST_HOPS

### IPV6_MULTICAST_IF

public static final IPv6 IPV6_MULTICAST_IF

### IPV6_MULTICAST_LOOP

public static final IPv6 IPV6_MULTICAST_LOOP

### IPV6_UNICAST_HOPS

public static final IPv6 IPV6_UNICAST_HOPS

### IPV6_V6ONLY

public static final IPv6 IPV6_V6ONLY

### IPV6_CHECKSUM

public static final IPv6 IPV6_CHECKSUM

### IPV6_DONTFRAG

public static final IPv6 IPV6_DONTFRAG

### IPV6_DSTOPTS

public static final IPv6 IPV6_DSTOPTS

### IPV6_HOPLIMIT

public static final IPv6 IPV6_HOPLIMIT

### IPV6_HOPOPTS

public static final IPv6 IPV6_HOPOPTS

### IPV6_NEXTHOP

public static final IPv6 IPV6_NEXTHOP

### IPV6_PATHMTU

public static final IPv6 IPV6_PATHMTU

### IPV6_PKTINFO

public static final IPv6 IPV6_PKTINFO

### IPV6_RECVDSTOPTS

public static final IPv6 IPV6_RECVDSTOPTS

### IPV6_RECVHOPLIMIT

public static final IPv6 IPV6_RECVHOPLIMIT

### IPV6_RECVHOPOPTS

public static final IPv6 IPV6_RECVHOPOPTS

### IPV6_RECVPKTINFO

public static final IPv6 IPV6_RECVPKTINFO

### IPV6_RECVRTHDR

public static final IPv6 IPV6_RECVRTHDR

### IPV6_RECVTCLASS

public static final IPv6 IPV6_RECVTCLASS

### IPV6_RTHDR

public static final IPv6 IPV6_RTHDR

### IPV6_RTHDRDSTOPTS

public static final IPv6 IPV6_RTHDRDSTOPTS

### IPV6_RTHDR_TYPE_0

public static final IPv6 IPV6_RTHDR_TYPE_0

### IPV6_RECVPATHMTU

public static final IPv6 IPV6_RECVPATHMTU

### IPV6_TCLASS

public static final IPv6 IPV6_TCLASS

### IPV6_USE_MIN_MTU

public static final IPv6 IPV6_USE_MIN_MTU

## Field Details

### MIN_VALUE

public static final long MIN_VALUE

See Also:
  - Constant Field Values

### MAX_VALUE

public static final long MAX_VALUE

See Also:
  - Constant Field Values

## Method Details

### values

public static IPv6[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static IPv6 valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public final String toString()

Overrides:
  `toString` in class `Enum<IPv6>`

### value

public final int value()

### intValue

public final int intValue()

Specified by:
  `intValue` in interface `Constant`

### longValue

public final long longValue()

Specified by:
  `longValue` in interface `Constant`

### defined

public final boolean defined()

Specified by:
  `defined` in interface `Constant`